For the complete documentation index, see llms.txt. This page is also available as Markdown.

Runway data

Get all runway and helipad data for a specified airport

GET https://api.aviowiki.com/airports/{aid}/runways/all

Path Parameters

Name
Type
Description

aid*

String

Aviowiki ID of the airport

Query Parameters

Name
Type
Description

includeArchived

Boolean

Set to true to include archived runways/helipads. Default is false

Headers

Name
Type
Description

Authorization

String

An API Token using Bearer authorization.

The detailed properties of the returned object can be found in the documentation of the Runway data model.

[
  {
    "helipad": false,
    "identifier": "06R",
    "magneticBearing": 65.29,
    "trueBearing": 68.79,
    "standardPattern": null,
    "thresholdElevation": 46.45,
    "width": 60,
    "tora": 4000,
    "toda": 4060,
    "asda": 4000,
    "lda": 4000,
    "surface": "CONCRETE",
    "pcnNumerical": 99,
    "pcnType": "R",
    "pcnStrength": "B",
    "pcnTirePressure": "W",
    "pcnMethod": "T",
    "edgeLights": true,
    "thresholdLights": true,
    "endLights": true,
    "centerLights": true,
    "centerLightsSpacing": 15,
    "touchDownZoneLights": true,
    "visualApproachSlopeIndicator": "P4L",
    "approachLightConfiguration": "ALSF2",
    "instrumental": true,
    "precision": true,
    "separate": true,
    "thresholdCoordinates": {
      "latitude": 52.3454333,
      "longitude": 13.4684278
    },
    "slope": -0.0003,
    "grooved": true,
    "parent": "APT-LF6D-WEBW",
    "aid": "RWY-T76Z-JUU7",
    "archived": false
  },
  {
    "helipad": false,
    "identifier": "24L",
    "magneticBearing": 245.33,
    "trueBearing": 248.83,
    "standardPattern": null,
    "thresholdElevation": 45.45,
    "width": 60,
    "tora": 4000,
    "toda": 4060,
    "asda": 4000,
    "lda": 4000,
    "surface": "CONCRETE",
    "pcnNumerical": 99,
    "pcnType": "R",
    "pcnStrength": "B",
    "pcnTirePressure": "W",
    "pcnMethod": "T",
    "edgeLights": true,
    "thresholdLights": true,
    "endLights": true,
    "centerLights": true,
    "centerLightsSpacing": 15,
    "touchDownZoneLights": true,
    "visualApproachSlopeIndicator": "P4L",
    "approachLightConfiguration": "ALSF2",
    "instrumental": true,
    "precision": true,
    "separate": true,
    "thresholdCoordinates": {
      "latitude": 52.358425,
      "longitude": 13.5231611
    },
    "slope": 0.0003,
    "grooved": true,
    "parent": "APT-LF6D-WEBW",
    "aid": "RWY-EORN-G9AD",
    "archived": false
  },
  {
    "helipad": false,
    "identifier": "06L",
    "magneticBearing": 65.3,
    "trueBearing": 68.8,
    "standardPattern": null,
    "thresholdElevation": 43.92,
    "width": 45,
    "tora": 3600,
    "toda": 3660,
    "asda": 3600,
    "lda": 3300,
    "surface": "ASPHALT",
    "pcnNumerical": 109,
    "pcnType": "F",
    "pcnStrength": "B",
    "pcnTirePressure": "W",
    "pcnMethod": "T",
    "edgeLights": true,
    "thresholdLights": true,
    "endLights": true,
    "centerLights": true,
    "centerLightsSpacing": 15,
    "touchDownZoneLights": true,
    "visualApproachSlopeIndicator": "P4L",
    "approachLightConfiguration": "MALSF",
    "instrumental": true,
    "precision": true,
    "separate": true,
    "thresholdCoordinates": {
      "latitude": 52.36769,
      "longitude": 13.4850242
    },
    "slope": 0.0008,
    "grooved": true,
    "parent": "APT-LF6D-WEBW",
    "aid": "RWY-CVX4-P36K",
    "archived": false
  },
  {
    "helipad": false,
    "identifier": "24R",
    "magneticBearing": 245.34,
    "trueBearing": 248.84,
    "standardPattern": null,
    "thresholdElevation": 46.82,
    "width": 45,
    "tora": 3600,
    "toda": 3660,
    "asda": 3600,
    "lda": 3300,
    "surface": "ASPHALT",
    "pcnNumerical": 109,
    "pcnType": "F",
    "pcnStrength": "B",
    "pcnTirePressure": "W",
    "pcnMethod": "T",
    "edgeLights": true,
    "thresholdLights": true,
    "endLights": true,
    "centerLights": true,
    "centerLightsSpacing": 15,
    "touchDownZoneLights": true,
    "visualApproachSlopeIndicator": "P4R",
    "approachLightConfiguration": "MALSF",
    "instrumental": true,
    "precision": true,
    "separate": true,
    "thresholdCoordinates": {
      "latitude": 52.37743,
      "longitude": 13.5260972
    },
    "slope": -0.0008,
    "grooved": true,
    "parent": "APT-LF6D-WEBW",
    "aid": "RWY-I5QO-1UA4",
    "archived": false
  },
  {
    "helipad": true,
    "identifier": "H",
    "magneticBearing": null,
    "trueBearing": null,
    "standardPattern": null,
    "thresholdElevation": 46.54,
    "width": null,
    "tora": null,
    "toda": 30,
    "asda": null,
    "lda": 30,
    "surface": "ASPHALT",
    "pcnNumerical": 66,
    "pcnType": "R",
    "pcnStrength": "B",
    "pcnTirePressure": "W",
    "pcnMethod": "T",
    "edgeLights": null,
    "thresholdLights": null,
    "endLights": null,
    "centerLights": null,
    "centerLightsSpacing": null,
    "touchDownZoneLights": null,
    "visualApproachSlopeIndicator": null,
    "approachLightConfiguration": null,
    "instrumental": null,
    "precision": null,
    "separate": null,
    "thresholdCoordinates": {
      "latitude": 52.3807389,
      "longitude": 13.5147361
    },
    "slope": null,
    "grooved": false,
    "parent": "APT-LF6D-WEBW",
    "aid": "RWY-0SLX-S1WD",
    "archived": false
  }
]

Last updated